Read a publicly linked document
curl --request GET \
--url https://scribe.skeptrune.com/api/public/{publicToken}import requests
url = "https://scribe.skeptrune.com/api/public/{publicToken}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://scribe.skeptrune.com/api/public/{publicToken}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scribe.skeptrune.com/api/public/{publicToken}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scribe.skeptrune.com/api/public/{publicToken}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scribe.skeptrune.com/api/public/{publicToken}")
.asString();require 'uri'
require 'net/http'
url = URI("https://scribe.skeptrune.com/api/public/{publicToken}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"title": "Launch plan",
"markdown": "# Launch plan\n\nShip it."
}{
"error": {
"code": "not_found",
"message": "No such document."
}
}Public
Read a publicly linked document
Returns the title and markdown of a document whose owner enabled a public read-only link. Requires no authentication.
GET
/
api
/
public
/
{publicToken}
Read a publicly linked document
curl --request GET \
--url https://scribe.skeptrune.com/api/public/{publicToken}import requests
url = "https://scribe.skeptrune.com/api/public/{publicToken}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://scribe.skeptrune.com/api/public/{publicToken}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scribe.skeptrune.com/api/public/{publicToken}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scribe.skeptrune.com/api/public/{publicToken}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scribe.skeptrune.com/api/public/{publicToken}")
.asString();require 'uri'
require 'net/http'
url = URI("https://scribe.skeptrune.com/api/public/{publicToken}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"title": "Launch plan",
"markdown": "# Launch plan\n\nShip it."
}{
"error": {
"code": "not_found",
"message": "No such document."
}
}Path Parameters
Public link token from the document's read-only URL.